Update customer permissions
curl --request PUT \
--url https://staging.api.payluk.ng/v1/customer/permissions/{customerId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"canWithdraw": true,
"canBuy": true,
"canSell": false
}
'import requests
url = "https://staging.api.payluk.ng/v1/customer/permissions/{customerId}"
payload = {
"canWithdraw": True,
"canBuy": True,
"canSell": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({canWithdraw: true, canBuy: true, canSell: false})
};
fetch('https://staging.api.payluk.ng/v1/customer/permissions/{customerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 200,
"message": "Customer permissions updated successfully",
"data": {
"customerId": "6a19b57ffa797d3af379ca2a",
"firstname": "firsty",
"lastname": "fhgvj",
"email": "[email protected]",
"phone": "09022331122",
"bvn": null,
"status": "active",
"blockedReason": null,
"blockedAt": null,
"createdAt": "2026-05-29T15:49:19.848Z",
"dob": null,
"permissions": {
"canWithdraw": true,
"canBuy": true,
"canSell": false
},
"countryId": "69b8d4c7f80e1f661b48c9ca"
}
}{
"status": 401,
"message": "Access denied",
"data": {}
}1. Onboard customers
Update customer permissions
PUT
/
v1
/
customer
/
permissions
/
{customerId}
Update customer permissions
Authorizations
Your secret key as a Bearer token. The key prefix selects the environment: sk_test_... (test) or sk_live_... (live).
Path Parameters
The merchant customer's unique identifier.
Body
application/json
⌘I